/*
{
  "CATEGORIES" : [
    "Masking"
  ],
  "ISFVSN" : "2",
  "INPUTS" : [
    {
      "NAME" : "width",
      "TYPE" : "float",
      "DEFAULT" : 0.25
    },
    {
      "NAME" : "offset",
      "TYPE" : "point2D",
      "DEFAULT" : [
        0,
        0
      ]
    },
    {
      "NAME" : "alpha1",
      "TYPE" : "float",
      "MAX" : 1,
      "DEFAULT" : 0,
      "MIN" : 0
    },
    {
      "NAME" : "alpha2",
      "TYPE" : "float",
      "MAX" : 1,
      "DEFAULT" : 1,
      "MIN" : 0
    },
    {
      "NAME" : "inputImage",
      "TYPE" : "image"
    }
  ],
  "CREDIT" : "by VIDVOX"
}
*/



void main() {
	//	determine if we are on an even or odd line
	//	math goes like..
	//	mod(((coord+offset) / width),2)
	
	
	vec4 out_color = IMG_THIS_NORM_PIXEL(inputImage);
	float alphaAdjust = alpha2;
	vec2 coord = isf_FragNormCoord * RENDERSIZE;
	vec2 shift = offset;
	float size = width * RENDERSIZE.x;

	if (size == 0.0)	{
		alphaAdjust = alpha1;
	}
	else if ((mod(((coord.x+shift.x) / size),2.0) < 1.0)&&(mod(((coord.y+shift.y) / size),2.0) > 1.0))	{
		alphaAdjust = alpha1;
	}
	else if ((mod(((coord.x+shift.x) / size),2.0) > 1.0)&&(mod(((coord.y+shift.y) / size),2.0) < 1.0))	{
		alphaAdjust = alpha1;
	}
	
	out_color.a *= alphaAdjust;
	
	gl_FragColor = out_color;
}